Home > Community > Forums > Functional Verification > fsm code coverage

Email

* Required Fields

Recipients email * (separate multiple addresses with commas)

Your name *

Your email *

Message *

Contact Us

* Required Fields
First Name *

Last Name *

Email *

Company / Institution *

Comments: *

 fsm code coverage  

Last post Tue, Oct 16 2007 8:12 PM by archive. 5 replies.
Started by archive 16 Oct 2007 08:12 PM. Topic has 5 replies and 1614 views
Page 1 of 1 (6 items)
Sort Posts:
  • Tue, Oct 16 2007 8:12 PM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,930
    fsm code coverage Reply

     In order to test the fsm code coverage in RTL code,add the argument "-coverage F" in the comand ncelab. I use IUS611 in linux platform.But when elaberating the RTL,the tool occurs some
    error as follows:
            
    ncelab: *E,SISUNL: Unable to load SIS ibrary /cad/cadence/IUS611s003/lnx86/tools.lnx86
                    /systemc/gcc/3.4.6/install/lib/li_s.so.1:  version `GCC_4.2.0' not found (required
                      by /usr/lib/libstdc++.so.5).
          
           I find the GCC_4.2.0,but can't find it. Howerver I run the script in IUS611 on solaris platform,
    the result is right and the tool does not  generate the error.
           Is there some difference in fsm code coverage based solaris platform and linux platform?
    How to deal with the question?
          


    Originally posted in cdnusers.org by shawn-1
    • Post Points: 0
  • Wed, Oct 17 2007 3:04 AM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,930
    RE: fsm code coverage Reply

    On Linux, you may be using a version of gcc that is incompatible with this version of IUS.
    Try "gcc -v" at the command line - this should report a version number very close to (or the same as) the 3.4.6 version installed with IUS.
    If possible, locate a different gcc installation, and add that to your PATH and LD_LIBRARY_PATH settings.

    The problem comes because the IUS libraries are compiled with gcc 3.4.6 but your system seems to be set up with gcc 4.2.0.
    Minor differences in versions are mostly OK, but swapping major versions (3.x to 4.x) is always bad.

    What version of Linux are you running?
    You can run "checkSysConf IUS6.1" to see if your Linux box meets the list of Cadence supported platforms.



    Originally posted in cdnusers.org by stephenh
    • Post Points: 0
  • Wed, Oct 17 2007 3:20 AM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,930
    RE: fsm code coverage Reply

    I run the "gcc -v" comand in linux platform. The result is as follow:
    Reading specs from /tools/cad/cadence/IUS611-s003/lnx86/tools.lnx86/systemc/gcc/3.4.6/install/bin/../lib/gcc/i686-
    pc-linux-gnu/3.4.6/specs
    Configured with: /home/georgef/gcc-3.4.6/configure --prefix=/tmp/gcc/install --enable-shared --enable-threads=posix --with
    -gnu-as --with-as=/grid/common/pkgs/gcc/v3.2.3p1/bin/as --with-gnu-ld --with-ld=/grid/common/pkgs/gcc/v3.2.3p1/bin/ld --
    enable-languages=c,c++
    Thread model: posix
    gcc version 3.4.6
    Then I run the "checkSysConf IUS6.1". The result is as follow:
    ============== checkSysConf: Version 3.1 ====================


    Date information gathered: Wed Oct 17 18:17:08 CST 2007
    -------------------------------------------------------
    Host Name ..............: shpc046
    Hostid .................: 7f0100
    Operating System .......: Linux / x86_64
    OS Version .............: 3.0
    Kernel Version .........: 2.4.21-50.ELsmp
    Hardware Type ..........: x86_64
    Memory .................: 15685 Megabyte
    No. of CPUs ............: 2
    Total Swap Space........: 59898 Megabyte
    X Server ...............:
    Patch Data file ........: /cad/cadence/IUS611-s003/lnx86/share/patchData/Linux/x86_64/redhat/3.0WS/IUS6.1




    Originally posted in cdnusers.org by shawn-1
    • Post Points: 0
  • Wed, Oct 17 2007 4:02 AM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,930
    RE: fsm code coverage Reply

    Hi steve :

    Firstly,thanks a lot!
    Before runing simulation,I don't setup the simulation enviroment,and check the gcc version as follow:
    Reading specs from /usr/lib/gcc-lib/x86_64-redhat-linux/3.2.3/specs
    Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable
    -shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --host=x86_
    64-redhat-linux
    Thread model: posix
    gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-56)
    After setup the enviroment,and set the $PATH and $LD_LIBRARY_PATH as follow:
    setenv LD_LIBRARY_PATH "/cad/cadence/IUS611-s003/lnx86/tools.lnx86/systemc/gcc/3.4.6-x86_64/install/lib:
    {$LD_LIBRARY_PATH}"
    setenv PATH "/cad/cadence/IUS611-s003/lnx86/tools.lnx86/systemc/gcc/3.4.6-x86_64/install/bin:${PATH}"
    when check the gcc version,it is last post result.And the variable $PATH and $LD_LIBRARY_PATH is same.According to your
    method, I locate a different gcc installation, but the result is the same.
    I check the dir in the IUS6.1,can't find the gcc4.2.0
    sh5: /cad/cadence/IUS611-s003/lnx86/tools.lnx86/systemc/gcc > ls
    3.2.3 3.2.3-x86_64 3.4.6 3.4.6-x86_64 64bit bin install

    shawn lieu









    Originally posted in cdnusers.org by shawn-1
    • Post Points: 0
  • Wed, Oct 17 2007 4:11 AM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,930
    RE: fsm code coverage Reply

    Hi steve:
    I got it!
    It must be make the $PATH and $LD_LIBRARY_PATH gcc vesion same with the linux platform gcc vesion.

    The linux platform gcc vesion is gcc version 3.2.3 ;

    so the $PATH and $LD_LIBRARY_PATH in IUS6.11 is setted as follow:
    setenv LD_LIBRARY_PATH "/cad/cadence/IUS611-s003/lnx86/tools.lnx86/systemc/gcc/3.2.3-x86_64/install/lib:
    {$LD_LIBRARY_PATH}"
    setenv PATH "/cad/cadence/IUS611-s003/lnx86/tools.lnx86/systemc/gcc/3.2.3-x86_64/install/bin:${PATH}"

    Thanks steve

    shawn lieu


    Originally posted in cdnusers.org by shawn-1
    • Post Points: 0
  • Sun, Nov 4 2007 7:53 PM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,930
    RE: fsm code coverage Reply

    Hi Every one, i am soory for posting this issue in not aplicables subject since i don't know how to post a new forum.

    I am facing very stange problem during code coverage regression RUN,
    i am using cadence 5.8.up2 for code coverage analysisis , have 240 Test cases for testing and the total regression takes nearly 8 days to compleate and give the final coverage %
    now the problem is , during coverage run the total coverage % reduced from 80 % to 77 % , and then it again increases to 84 % finally after compleate regression run.
    , i am not able to find out how these 3 % decrement comes from e.g 80 % to 77% ..
    also i wanted to add that coverage was not stoped at that point of time .also i don't think there should be any memeory problem .
    please give your inputs to solve this issue.

    Thanks in advance !!
    sudhanshu


    Originally posted in cdnusers.org by sudhasa
    • Post Points: 0
Page 1 of 1 (6 items)
Sort Posts:
Started by archive at 16 Oct 2007 08:12 PM. Topic has 5 replies.